
package org.tio.sitexxx.im.server.vo;

import cn.hutool.core.bean.BeanUtil;
import lombok.Data;

import java.util.Map;

/**
 * 客户端token信息vo
 * @author xufei
 * 2020年11月2日 下午7:07:44
 */
@Data
public class ClientTokenVo {
	/**
	 * uid-Y
	 */
	private Integer uid;

	/**
	 * 业务类型：
	 * 唤起安全设置页面： ACCESS_SAFETY
	 * 唤起卡列表页面： ACCESS_CARDlIST
	 */
	private String bizType;

	/**
	 * @author xufei
	 * 2020年11月3日 下午4:58:24
	 */
	public Map<String, Object> toMap() {
		return BeanUtil.beanToMap(this);
	}

	/**
	 * @author xufei
	 * 2020年11月3日 下午4:58:23
	 */
	public static ClientTokenVo toBean(Map<String, Object> walletMap) {
		return BeanUtil.fillBeanWithMap(walletMap, new ClientTokenVo(), true);
	}
}
